Nextzy-Assessment-Backend
    • Get Reward
      GET
    • Get user point
      GET
    • PlayHistory
      GET
    • Reward History
      GET
    • Redeem Reward
      POST
    • Play
      POST
    • ResetDB
      POST

      Reward History

      Developing
      GET
      /history/reward

      Request

      None

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://nextzy-assessment-backend.onrender.com/history/reward'
      Response Response Example
      {
          "data": [
              {
                  "id": "9dedf7ac-c1ad-4298-ba9f-018be34fa9f9",
                  "uid": "u1",
                  "rewardid": "A",
                  "created_at": "2026-02-07T22:05:49.556Z"
              }
          ]
      }
      Modified at 2026-02-07 22:04:38
      Previous
      PlayHistory
      Next
      Redeem Reward
      Built with